-- FirstStage generated output file
require( "scripts/style.lua" );

SetDefaultStyle( DefaultStyle );

local accept_button_label ="ok" ;	
local accept_button_name="OK";

local refuse_button_label ="donotshowagain" ;	
local refuse_button_name="DONOTSHOWAGAIN";

MakeDialog
{
	Bitmap
	{
			image = "backgrounds/speedmenu",
			name = "tuto_background",
			x = kCenter,
			y = kCenter,

      TutoDialog
      {
	    name = "TutoDialog",
        x = 0,
        y = 0,
        w = kMax,
        h = kMax,
		tuto_name = gDialogTable.tuto_name,
		
		hasnext = gDialogTable.next,
		checkbox = gDialogTable.checkbox,
		callback = gDialogTable.callback,
		
  		SetStyle( OptionsValidationButtonStyle ),
		Button
		{
			--close = true,
			flags = 5,
			label = accept_button_label,
			name = accept_button_name,
			x = kCenter-100,
			y = kMax-90,
			command = function()
						FadeOut();						
					  end
		},
		SetStyle(RuneButtonStyle),
		Button{
				name="tutobox",
				x=kCenter+250,
				y = kMax-100,
				w=175,
				command =
					function()
						ToggleTuto();
					end
			};
			Text
			{
				font = BookAntiquaLegend24Font,
				name = refuse_button_name,
				x=kCenter+150,
				y = kMax-90,
				w=kMax,
				h=kMax,
				flags = kHAlignLeft + kVAlignTop,
				label= refuse_button_label,
			};
		SetStyle( DialogTitleText ),
		Text{ name = "title",label=gDialogTable.tuto_name },
		SetStyle( DialogBodyText ),
		Text
		{
			name = "text",
			x = 50,
			y = 80,
			w = kMax -50,
			h = kMax - 90,
			label = gDialogTable.tuto_name .. "_desc",			
		},
       },
	},
}

gDialogTable = {}
